Skip to main content
`Ctrl`+`K`
scipy.stats.rv_histogram.

# rvs

rv_histogram.rvs(*args, **kwds)

  Random variates of given type.

  Parameters:
    arg1, arg2, arg3,…array_like

      The shape parameter(s) for the distribution (see docstring of the instance object for more information).

    loc array_like, optional

      Location parameter (default=0).

    scale array_like, optional

      Scale parameter (default=1).

    size int or tuple of ints, optional

      Defining number of random variates (default is 1).

    random_state{None, int, `numpy.random.Generator`,

      > `numpy.random.RandomState`}, optional

      If `random_state` is None (or np.random), the `numpy.random.RandomState` singleton is used. If `random_state` is an int, a new `RandomState` instance is used, seeded with `random_state`. If `random_state` is already a `Generator` or `RandomState` instance, that instance is used.

  Returns:
    rvs ndarray or scalar

      Random variates of given size.